<?xml version="1.0" encoding="Gb2312"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" version="4.0"/>
<xsl:preserve-space elements="code"/>
<xsl:variable name="toolbar" select="xml/setting/@toolbar"/>
<xsl:variable name="setedit" select="xml/setting/@setedit"/>
<xsl:variable name="Default">

</xsl:variable>
<xsl:template  match="/">
	<xsl:choose>
		<xsl:when test="$toolbar='default'">
			<xsl:call-template name="editorCode1"/>
		</xsl:when>
		<xsl:when test="$toolbar='simple'">
			<xsl:call-template name="editorCode2"/>
		</xsl:when>
		<xsl:when test="$toolbar='basic'">
			<xsl:call-template name="editorCode3"/>
		</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="editorCode1"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="editorCode1">
<xsl:if test="xml/setting">
<script type="text/javascript">
var strBestPath		='<xsl:value-of select="xml/setting/@path" disable-output-escaping="yes"/>';
var InstanceName	='<xsl:value-of select="xml/setting/@instancename" disable-output-escaping="yes"/>';
var EditMethod		='<xsl:value-of select="xml/setting/@ubbmethod" disable-output-escaping="yes"/>';
</script>
<script type="text/javascript" src="{xml/setting/@path}UBBCode.js"></script>
<script type="text/javascript" src="{xml/setting/@path}UBBCode_help.js"></script>
<div id="Tbody" style="width:{xml/setting/@width};">
<div id="editorbody">
<div id="editorHead">
<div class="editorTools">
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_bold" title="粗体" href="javascript:UBB_bold();void(0)"><img alt="粗体" border="0" src="{xml/setting/@path}Icons/bold.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_italic" title="斜体" href="javascript:UBB_italic();void(0)"><img alt="斜体" border="0" src="{xml/setting/@path}Icons/italic.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_underline" title="下划线" href="javascript:UBB_underline();void(0)"><img alt="下划线" border="0" src="{xml/setting/@path}Icons/underline.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifyleft" title="居左" href="javascript:UBB_justifyleft();void(0)"><img alt="居左" border="0" src="{xml/setting/@path}Icons/justifyleft.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifycenter" title="居中" href="javascript:UBB_justifycenter();void(0)"><img alt="居中" border="0" src="{xml/setting/@path}Icons/justifycenter.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifyright" title="居右" href="javascript:UBB_justifyright();void(0)"><img alt="居右" border="0" src="{xml/setting/@path}Icons/justifyright.gif" /></a></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_link" title="超链接" href="javascript:UBB_link();void(0)"><img alt="超链接" border="0" src="{xml/setting/@path}Icons/link.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_mail" title="电子邮件" href="javascript:UBB_mail();void(0)"><img alt="电子邮件" border="0" src="{xml/setting/@path}Icons/mail.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_image" title="插入图像" href="javascript:UBB_image();void(0)"><img alt="插入图像" border="0" src="{xml/setting/@path}Icons/image.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_insertunorderedlist" title="项目符号和编号" href="javascript:UBB_insertunorderedlist();void(0)"><img alt="项目符号和编号" border="0" src="{xml/setting/@path}Icons/insertunorderedlist.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_quote" title="插入引用" href="javascript:UBB_quote();void(0)"><img alt="插入引用" border="0" src="{xml/setting/@path}Icons/quote.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_code" title="插入代码" href="javascript:UBB_code();void(0)"><img alt="插入代码" border="0" src="{xml/setting/@path}Icons/code.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_html" title="插入可执行Html代码" href="javascript:UBB_html();void(0)"><img alt="插入可执行Html代码" border="0" src="{xml/setting/@path}Icons/html.gif" /></a></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_flash" title="插入Flash动画" href="javascript:UBB_flash();void(0)"><img alt="插入Flash动画" border="0" src="{xml/setting/@path}Icons/flash.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_music" title="插入音频" href="javascript:UBB_music();void(0)"><img alt="插入音频" border="0" src="{xml/setting/@path}Icons/music.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_mediaplayer" title="插入视频" href="javascript:UBB_mediaplayer();void(0)"><img alt="插入视频" border="0" src="{xml/setting/@path}Icons/mediaplayer.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_realplayer" title="插入Real媒体" href="javascript:UBB_realplayer();void(0)"><img alt="插入Real媒体" border="0" src="{xml/setting/@path}Icons/realplayer.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_ed2k" title="插入eMule超链接" href="javascript:UBB_ed2k();void(0)"><img alt="插入eMule超链接" border="0" src="{xml/setting/@path}Icons/ed2k.gif" /></a></li>
	<li><a class="Toolsbutton" id="A_htmlubb" href="javascript:UBB_htmlubb();void(0)" title="HTML转贴能手"><img src="{xml/setting/@path}Icons/htmlubb.gif" border="0" alt="HTML转贴能手" /></a></li>
	<li><a class="Toolsbutton" id="A_em" href="javascript:UBB_em();void(0)" title="插入EM图片"><img src="{xml/setting/@path}Icons/em.gif" border="0" alt="插入表情图片" /></a></li>
	<li><a class="Toolsbutton" id="A_sizeminus" title="减小编辑区" href="javascript:sizeChange(-200,'{xml/setting/@instancename}');void(0)"><img alt="减小编辑区" border="0" src="{xml/setting/@path}Icons/SizeMinus.gif" /></a></li>
	<li><a class="Toolsbutton" id="A_sizeplus" title="增高编辑区" href="javascript:sizeChange(200,'{xml/setting/@instancename}');void(0)"><img alt="增高编辑区" border="0" src="{xml/setting/@path}Icons/SizePlus.gif" /></a></li>
</ul>
</div>
<div style="CLEAR: both; DISPLAY: block; OVERFLOW: hidden; HEIGHT: 1px"></div>
</div>
<div class="editorTools">
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><select onchange="UBB_CFont(this)" name="UBBfonts">
    <option value="" selected="selected">选择字体</option>
    <option value="宋体">宋体</option>
    <option value="黑体">黑体</option>
    <option value="Arial">Arial</option>
    <option value="Book Antiqua">Book Antiqua</option>
    <option value="Century Gothic">Century Gothic</option>
    <option value="Courier New">Courier New</option>
    <option value="Georgia">Georgia</option>
    <option value="Impact">Impact</option>
    <option value="Tahoma">Tahoma</option>
    <option value="Times New Roman">Times New Roman</option>
    <option value="Verdana">Verdana</option>
    </select></li>
    <li><select onchange="UBB_CFontSize(this)" name="UBBfonts">
    <option value="" selected="selected">字体大小</option>
    <option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
    <option value="6">6</option>
    <option value="7">7</option>
    </select></li>
    <li><select onchange="UBB_CFontColor(this)" name="UBBfonts">
    <option value="" selected="selected">字体颜色</option>
    <option style="BACKGROUND: white" value="White">White</option>
    <option style="BACKGROUND: black" value="Black">Black</option>
    <option style="BACKGROUND: red" value="Red">Red</option>
    <option style="BACKGROUND: yellow" value="Yellow">Yellow</option>
    <option style="BACKGROUND: pink" value="Pink">Pink</option>
    <option style="BACKGROUND: green" value="Green">Green</option>
    <option style="BACKGROUND: orange" value="Orange">Orange</option>
    <option style="BACKGROUND: purple" value="Purple">Purple</option>
    <option style="BACKGROUND: blue" value="Blue">Blue</option>
    <option style="BACKGROUND: beige" value="Beige">Beige</option>
    <option style="BACKGROUND: brown" value="Brown">Brown</option>
    <option style="BACKGROUND: teal" value="Teal">Teal</option>
    <option style="BACKGROUND: navy" value="Navy">Navy</option>
    <option style="BACKGROUND: maroon" value="Maroon">Maroon</option>
    <option style="BACKGROUND: limegreen" value="LimeGreen">LimeGreen</option>
	<option style="BACKGROUND: fuchsia" value="Fuchsia">Fuchsia</option>
	<option style="BACKGROUND: Gys" value="Gys">Gys</option>
	<option style="BACKGROUND: slateblue" value="SlateBlue">SlateBlue</option>
	<option style="BACKGROUND: turquoise" value="Turquoise">Turquoise</option>
	<option style="BACKGROUND: goldenrod" value="Goldenrod">Goldenrod</option>
    </select></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
<!--
<xsl:choose>
	<xsl:when test="$setedit='2'">
		<li>UBB编辑模式 <label for="UBBmethod1"><input id="UBBmethod1" onclick="EditMethod='normal'" type="radio" name="UBBmethod" value="on" />常规</label> 
		<label for="UBBmethod2"><input id="UBBmethod2" onclick="EditMethod='expert'" type="radio" checked="checked" name="UBBmethod" value="on" />专家</label></li>
	</xsl:when>
	<xsl:otherwise>
		<li>UBB编辑模式 <label for="UBBmethod1"><input id="UBBmethod1" onclick="EditMethod='normal'" type="radio" checked="checked" name="UBBmethod" value="on" />常规</label> 
		<label for="UBBmethod2"><input id="UBBmethod2" onclick="EditMethod='expert'" type="radio" name="UBBmethod" value="on" />专家</label></li>
	</xsl:otherwise>
</xsl:choose>
-->
</ul>
</div>
<div style="CLEAR: both; DISPLAY: block; OVERFLOW: hidden; HEIGHT: 1px"></div>
</div>
</div>
<div class="editorContent"><textarea id="{xml/setting/@instancename}" class="editTextarea" style="height: {xml/setting/@height};" accesskey="R" rows="10" cols="60" name="{xml/setting/@instancename}"><xsl:value-of select="xml/setting/@value" disable-output-escaping="yes"/></textarea></div>
</div>
<script language="javascript">initUBB('<xsl:value-of select="xml/setting/@instancename" disable-output-escaping="yes"/>')</script>
</div>
</xsl:if>
</xsl:template>

<xsl:template name="editorCode2">
<xsl:if test="xml/setting">
<script type="text/javascript">
var strBestPath		='<xsl:value-of select="xml/setting/@path" disable-output-escaping="yes"/>';
var InstanceName	='<xsl:value-of select="xml/setting/@instancename" disable-output-escaping="yes"/>';
var EditMethod		='<xsl:value-of select="xml/setting/@ubbmethod" disable-output-escaping="yes"/>';
</script>
<script type="text/javascript" src="{xml/setting/@path}UBBCode.js"></script>
<script type="text/javascript" src="{xml/setting/@path}UBBCode_help.js"></script>
<div id="Tbody" style="width:{xml/setting/@width};">
<div id="editorbody">
<div id="editorHead">
<div class="editorTools">
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_bold" title="粗体" href="javascript:UBB_bold();void(0)"><img alt="粗体" border="0" src="{xml/setting/@path}Icons/bold.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_italic" title="斜体" href="javascript:UBB_italic();void(0)"><img alt="斜体" border="0" src="{xml/setting/@path}Icons/italic.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_underline" title="下划线" href="javascript:UBB_underline();void(0)"><img alt="下划线" border="0" src="{xml/setting/@path}Icons/underline.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifyleft" title="居左" href="javascript:UBB_justifyleft();void(0)"><img alt="居左" border="0" src="{xml/setting/@path}Icons/justifyleft.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifycenter" title="居中" href="javascript:UBB_justifycenter();void(0)"><img alt="居中" border="0" src="{xml/setting/@path}Icons/justifycenter.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifyright" title="居右" href="javascript:UBB_justifyright();void(0)"><img alt="居右" border="0" src="{xml/setting/@path}Icons/justifyright.gif" /></a></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_link" title="超链接" href="javascript:UBB_link();void(0)"><img alt="超链接" border="0" src="{xml/setting/@path}Icons/link.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_mail" title="电子邮件" href="javascript:UBB_mail();void(0)"><img alt="电子邮件" border="0" src="{xml/setting/@path}Icons/mail.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_image" title="插入图像" href="javascript:UBB_image();void(0)"><img alt="插入图像" border="0" src="{xml/setting/@path}Icons/image.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_insertunorderedlist" title="项目符号和编号" href="javascript:UBB_insertunorderedlist();void(0)"><img alt="项目符号和编号" border="0" src="{xml/setting/@path}Icons/insertunorderedlist.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_quote" title="插入引用" href="javascript:UBB_quote();void(0)"><img alt="插入引用" border="0" src="{xml/setting/@path}Icons/quote.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_code" title="插入代码" href="javascript:UBB_code();void(0)"><img alt="插入代码" border="0" src="{xml/setting/@path}Icons/code.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_html" title="插入可执行Html代码" href="javascript:UBB_html();void(0)"><img alt="插入可执行Html代码" border="0" src="{xml/setting/@path}Icons/html.gif" /></a></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_ed2k" title="插入eMule超链接" href="javascript:UBB_ed2k();void(0)"><img alt="插入eMule超链接" border="0" src="{xml/setting/@path}Icons/ed2k.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_em" href="javascript:UBB_em();void(0)" title="插入EM图片"><img src="{xml/setting/@path}Icons/em.gif" border="0" alt="插入表情图片" /></a></li>
	<li><a class="Toolsbutton" id="A_sizeminus" title="减小编辑区" href="javascript:sizeChange(-200,'{xml/setting/@instancename}');void(0)"><img alt="减小编辑区" border="0" src="{xml/setting/@path}Icons/SizeMinus.gif" /></a></li>
	<li><a class="Toolsbutton" id="A_sizeplus" title="增高编辑区" href="javascript:sizeChange(200,'{xml/setting/@instancename}');void(0)"><img alt="增高编辑区" border="0" src="{xml/setting/@path}Icons/SizePlus.gif" /></a></li>
</ul>
</div>
<div style="CLEAR: both; DISPLAY: block; OVERFLOW: hidden; HEIGHT: 1px"></div>
</div>
<div class="editorTools">
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><select onchange="UBB_CFont(this)" name="UBBfonts">
    <option value="" selected="selected">选择字体</option>
    <option value="宋体">宋体</option>
    <option value="黑体">黑体</option>
    <option value="Arial">Arial</option>
    <option value="Book Antiqua">Book Antiqua</option>
    <option value="Century Gothic">Century Gothic</option>
    <option value="Courier New">Courier New</option>
    <option value="Georgia">Georgia</option>
    <option value="Impact">Impact</option>
    <option value="Tahoma">Tahoma</option>
    <option value="Times New Roman">Times New Roman</option>
    <option value="Verdana">Verdana</option>
    </select></li>
    <li><select onchange="UBB_CFontSize(this)" name="UBBfonts">
    <option value="" selected="selected">字体大小</option>
    <option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
    <option value="6">6</option>
    <option value="7">7</option>
    </select></li>
    <li><select onchange="UBB_CFontColor(this)" name="UBBfonts">
    <option value="" selected="selected">字体颜色</option>
    <option style="BACKGROUND: white" value="White">White</option>
    <option style="BACKGROUND: black" value="Black">Black</option>
    <option style="BACKGROUND: red" value="Red">Red</option>
    <option style="BACKGROUND: yellow" value="Yellow">Yellow</option>
    <option style="BACKGROUND: pink" value="Pink">Pink</option>
    <option style="BACKGROUND: green" value="Green">Green</option>
    <option style="BACKGROUND: orange" value="Orange">Orange</option>
    <option style="BACKGROUND: purple" value="Purple">Purple</option>
    <option style="BACKGROUND: blue" value="Blue">Blue</option>
    <option style="BACKGROUND: beige" value="Beige">Beige</option>
    <option style="BACKGROUND: brown" value="Brown">Brown</option>
    <option style="BACKGROUND: teal" value="Teal">Teal</option>
    <option style="BACKGROUND: navy" value="Navy">Navy</option>
    <option style="BACKGROUND: maroon" value="Maroon">Maroon</option>
    <option style="BACKGROUND: limegreen" value="LimeGreen">LimeGreen</option>
	<option style="BACKGROUND: fuchsia" value="Fuchsia">Fuchsia</option>
	<option style="BACKGROUND: Gys" value="Gys">Gys</option>
	<option style="BACKGROUND: slateblue" value="SlateBlue">SlateBlue</option>
	<option style="BACKGROUND: turquoise" value="Turquoise">Turquoise</option>
	<option style="BACKGROUND: goldenrod" value="Goldenrod">Goldenrod</option>
    </select></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
<xsl:choose>
	<xsl:when test="$setedit='2'">
		<li>模式 <label for="UBBmethod1"><input id="UBBmethod1" onclick="EditMethod='normal'" type="radio" name="UBBmethod" value="on" />常规</label> 
		<label for="UBBmethod2"><input id="UBBmethod2" onclick="EditMethod='expert'" type="radio" checked="checked" name="UBBmethod" value="on" />专家</label></li>
	</xsl:when>
	<xsl:otherwise>
		<li>模式 <label for="UBBmethod1"><input id="UBBmethod1" onclick="EditMethod='normal'" type="radio" checked="checked" name="UBBmethod" value="on" />常规</label> 
		<label for="UBBmethod2"><input id="UBBmethod2" onclick="EditMethod='expert'" type="radio" name="UBBmethod" value="on" />专家</label></li>
	</xsl:otherwise>
</xsl:choose>
</ul>
</div>
<div style="CLEAR: both; DISPLAY: block; OVERFLOW: hidden; HEIGHT: 1px"></div>
</div>
</div>
<div class="editorContent"><textarea id="{xml/setting/@instancename}" class="editTextarea" style="height: {xml/setting/@height};" accesskey="R" rows="10" cols="60" name="{xml/setting/@instancename}"><xsl:value-of select="xml/setting/@value" disable-output-escaping="yes"/></textarea></div>
</div>
<script language="javascript">initUBB('<xsl:value-of select="xml/setting/@instancename" disable-output-escaping="yes"/>')</script>
</div>
</xsl:if>
</xsl:template>

<xsl:template name="editorCode3">
<xsl:if test="xml/setting">
<script type="text/javascript">
var strBestPath		='<xsl:value-of select="xml/setting/@path" disable-output-escaping="yes"/>';
var InstanceName	='<xsl:value-of select="xml/setting/@instancename" disable-output-escaping="yes"/>';
var EditMethod		='<xsl:value-of select="xml/setting/@ubbmethod" disable-output-escaping="yes"/>';
</script>
<script type="text/javascript" src="{xml/setting/@path}UBBCode.js"></script>
<script type="text/javascript" src="{xml/setting/@path}UBBCode_help.js"></script>
<div id="Tbody" style="width:{xml/setting/@width};">
<div id="editorbody">
<div id="editorHead">
<div class="editorTools">
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><a class="Toolsbutton" id="A_bold" title="粗体" href="javascript:UBB_bold();void(0)"><img alt="粗体" border="0" src="{xml/setting/@path}Icons/bold.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_italic" title="斜体" href="javascript:UBB_italic();void(0)"><img alt="斜体" border="0" src="{xml/setting/@path}Icons/italic.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_underline" title="下划线" href="javascript:UBB_underline();void(0)"><img alt="下划线" border="0" src="{xml/setting/@path}Icons/underline.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifyleft" title="居左" href="javascript:UBB_justifyleft();void(0)"><img alt="居左" border="0" src="{xml/setting/@path}Icons/justifyleft.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifycenter" title="居中" href="javascript:UBB_justifycenter();void(0)"><img alt="居中" border="0" src="{xml/setting/@path}Icons/justifycenter.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_justifyright" title="居右" href="javascript:UBB_justifyright();void(0)"><img alt="居右" border="0" src="{xml/setting/@path}Icons/justifyright.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_link" title="超链接" href="javascript:UBB_link();void(0)"><img alt="超链接" border="0" src="{xml/setting/@path}Icons/link.gif" /></a></li>
    <li><a class="Toolsbutton" id="A_em" href="javascript:UBB_em();void(0)" title="插入EM图片"><img src="{xml/setting/@path}Icons/em.gif" border="0" alt="插入表情图片" /></a></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
    <li><select onchange="UBB_CFontSize(this)" name="UBBfonts">
    <option value="" selected="selected">字体大小</option>
    <option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
    <option value="6">6</option>
    <option value="7">7</option>
    </select></li>
    <li><select onchange="UBB_CFontColor(this)" name="UBBfonts">
    <option value="" selected="selected">字体颜色</option>
    <option style="BACKGROUND: white" value="White">White</option>
    <option style="BACKGROUND: black" value="Black">Black</option>
    <option style="BACKGROUND: red" value="Red">Red</option>
    <option style="BACKGROUND: yellow" value="Yellow">Yellow</option>
    <option style="BACKGROUND: pink" value="Pink">Pink</option>
    <option style="BACKGROUND: green" value="Green">Green</option>
    <option style="BACKGROUND: orange" value="Orange">Orange</option>
    <option style="BACKGROUND: purple" value="Purple">Purple</option>
    <option style="BACKGROUND: blue" value="Blue">Blue</option>
    <option style="BACKGROUND: beige" value="Beige">Beige</option>
    <option style="BACKGROUND: brown" value="Brown">Brown</option>
    <option style="BACKGROUND: teal" value="Teal">Teal</option>
    <option style="BACKGROUND: navy" value="Navy">Navy</option>
    <option style="BACKGROUND: maroon" value="Maroon">Maroon</option>
    <option style="BACKGROUND: limegreen" value="LimeGreen">LimeGreen</option>
	<option style="BACKGROUND: fuchsia" value="Fuchsia">Fuchsia</option>
	<option style="BACKGROUND: Gys" value="Gys">Gys</option>
	<option style="BACKGROUND: slateblue" value="SlateBlue">SlateBlue</option>
	<option style="BACKGROUND: turquoise" value="Turquoise">Turquoise</option>
	<option style="BACKGROUND: goldenrod" value="Goldenrod">Goldenrod</option>
    </select></li>
</ul>
</div>
<div class="Toolsbar">
<ul class="ToolsUL">
<xsl:choose>
	<xsl:when test="$setedit='2'">
		<li>编辑模式<label for="UBBmethod1"><input id="UBBmethod1" onclick="EditMethod='normal'" type="radio" name="UBBmethod" value="on" />常规</label> 
		<label for="UBBmethod2"><input id="UBBmethod2" onclick="EditMethod='expert'" type="radio" checked="checked" name="UBBmethod" value="on" />专家</label></li>
	</xsl:when>
	<xsl:otherwise>
		<li>编辑模式<label for="UBBmethod1"><input id="UBBmethod1" onclick="EditMethod='normal'" type="radio" checked="checked" name="UBBmethod" value="on" />常规</label> 
		<label for="UBBmethod2"><input id="UBBmethod2" onclick="EditMethod='expert'" type="radio" name="UBBmethod" value="on" />专家</label></li>
	</xsl:otherwise>
</xsl:choose>
</ul>
</div>
<div style="CLEAR: both; DISPLAY: block; OVERFLOW: hidden; HEIGHT: 1px"></div>
</div>
</div>
<div class="editorContent"><textarea id="{xml/setting/@instancename}" class="editTextarea" style="height: {xml/setting/@height};" accesskey="R" rows="10" cols="60" name="{xml/setting/@instancename}"><xsl:value-of select="xml/setting/@value" disable-output-escaping="yes"/></textarea></div>
</div>
<script language="javascript">initUBB('<xsl:value-of select="xml/setting/@instancename" disable-output-escaping="yes"/>')</script>
</div>
</xsl:if>
</xsl:template>
</xsl:stylesheet>